# create database and user
# use following command
# mysql -u root -p < createDBUser.sql

CREATE DATABASE IF NOT EXISTS conference;

USE mysql;

FLUSH PRIVILEGES;

# please modify the password
# if the web server is located on another computer, please enter its IP address
GRANT SELECT, INSERT, UPDATE, DELETE, INDEX, ALTER, CREATE, DROP, REFERENCES
      ON conference.*
      TO 'confuser'@'localhost'
      IDENTIFIED BY 'confpass';

FLUSH PRIVILEGES;
