<?php
//
// PAGE:		adminPapersDetails
// DESC: 	show all details to a paper to administrator or PC chair...
//

ct_requirechair();

ct_pagepath(array('index', 'adminPapers', 'adminPapersBrowse'));
ct_load_class('CTPaper');

if (in_http('form_id') && $http['form_id']!="" ) {
	$paper = new CTPaper;
	if ($paper->load_by_id($http['form_id'])) {

		// Check if access is allowed for the chair...
		if (ctconf_get('chairTrackSelect',false) && $user->is_chair() && !$user->is_admin() && !$user->is_conferenceChair()) {
			if (!$user->has_chair_access($paper->get('contributiontypeID'))) {
				$session->put_errorbox(ct('S_ERROR_ACCESSDENIED'), ct('S_ERROR_ACCESS_ADMINONLY'));
				ct_redirect(ct_pageurl('error'));
			}
		}
		
		// load correct subclass...
		$classname = $paper->get_paperClass();
		ct_load_class($classname);
		eval('$paperclass = new '.$classname.'();');
		$paperclass = ct_type_cast($paper,$classname);
		
		// now output the data...
		$ctype=$paperclass->_get_contributiontype();
		$paperclass->show_detailed(650,'center');
		$paperclass->show_abstract(650,'center');
		if ($paperclass->get('externalremark')!="") $paperclass->show_remark(650,'center');
		$paperclass->show_downloads('',650,'center');
		if ($ctype['upload_final']>0)
			$paperclass->show_downloads('final',650,'center');
 		$paperclass->show_accept_status(650,'center');
 		$paperclass->show_review_results(true,650,'center');
		$paperclass->show_admin_options(650,'center');
	}
} else {
	ct_redirect($session->get_besturl());
}

?>