<?php
//
// PAGE:		adminPaymentsBrowse
// DESC:		Browse all payments received
//

ct_requireassistant();
ct_load_lib('participation.lib');  // load libraries
ct_load_lib('payment.lib');  
ct_load_lib('admin.lib');
ct_load_class('CTForm');

ct_pagepath(array('index','adminUsers'));  // creat path
$session->set_besturl(ct('S_ADMIN_PAYMENTS_BROWSE_QUICK'));

$page = $http['page'];

echo "<H1>".ct('S_ADMIN_PAYMENTS_BROWSE_CMD')."</H1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_PAYMENTS_BROWSE_HINT')."</p>\n";

//$discounts=array_merge (array(array(0,ct('S_ADMIN_TOOL_ALLPARTICIPANTS'))), ct_list_timediscounts());

$query="select participants2payments.paymentID as paymentID from participants2payments, participants, persons ";

$where="where participants2payments.personID=persons.ID AND participants.personID=persons.ID ";

//	if (isset($http['form_group']) && $http['form_group']!=0){
//		$where.=" and participants.status=".$http['form_group'];
//	}

// Search string from navbar
$search     = isset($http['navbar_search'])?$http['navbar_search']:"";
if ($search!="") {
}
// Search string from navbar
$search = isset($http['navbar_search'])?$http['navbar_search']:"";
if ($search!="") {
	$where .= " && ( LOWER(CONCAT(persons.name,'|',persons.firstname,'|',persons.organisation,'|',persons.city,'|',persons.country,'|',persons.email)) LIKE '%".strtolower($search)."%' ";
	$where .= " OR CONCAT(participants.total) LIKE '%".strtolower($search)."%'";
	$where .= " OR CONCAT(participants.payamount) LIKE '%".strtolower($search)."%' ";
	$where .= " OR CONCAT(participants2payments.payamount) LIKE '%".strtolower($search)."%' ";
	$where .= " OR LOWER(participants2payments.note) LIKE '%".strtolower($search)."%') ";
}
// Add filter value to query
if (in_http('form_paymethod') && $http['form_paymethod']!='0' && $http['form_paymethod']!="" )
	$where .= " && participants.paymethod='".$http['form_paymethod']."'";

// Set order...	
$order = ' order by participants2payments.paydate desc, persons.name asc';
if (isset($http['listorder'])) {
	switch ($http['listorder']) {
		case 'paydate':
		$order = ' order by participants2payments.paydate asc, persons.name asc';
		break;
		case 'name':
		$order = ' order by persons.name, persons.firstname asc';
		break;
		case 'paymethod':
		$order = ' order by participants.paymethod asc, persons.name asc';
		break;
		case 'regdate':
		$order = ' order by participants.regdate asc, persons.name asc';
		break;
		case 'total':
		$order = ' order by participants.total asc, persons.name asc';
		break;
		case 'payamount':
		$order = ' order by participants2payments.payamount asc, persons.name asc';
		break;
		case 'note':
		$order = ' order by participants2payments.note asc, persons.name asc';
		break;
		case 'id':
		$order = ' order by persons.ID asc';
		break;
	}
	
}

$query.=$where;
$query.=$order;

#echo $query;

$res = $db->query($query);

// Show filter
$paymethods=array_merge(array(array('0',ct('S_ADMIN_TOOL_ALLPARTICIPANTS'))), ct_list_paymethods());
if (count($paymethods)>2) {
	$form1 = new CTform($page, 'get');
	$form1->width='100%';
	$form1->align='center';
	$form1->add_hidden(hash2aa(ct_http_array(array('form_paymethod'=>'')))); // list all http variables with values
	$form1->add_select_autosubmit(ct('S_ADMIN_TOOL_PAYMENT_CMD'), 'form_paymethod', $paymethods, array($http['form_paymethod']));
	$form1->add_submit_noscriptonly('cmd_search', ct('S_ADMIN_TOOL_SUBMIT'));
	$form1->show();
}

// Start output of list.
if ($res >= 0) {
	
	ct_load_class('CTPayment');
	$payment= new CTPayment;
	$paidtotal      = 0;
	$page_paidtotal = 0;
	$page_i			= 0;
	
	ct_load_lib('navbar.lib');
	$items      = $db->num_rows($res);
	ct_navbar($page,$items);
	$perpage    = isset($http['navbar_perpage']) && $http['navbar_perpage']!=""?$http['navbar_perpage']:ctconf_get('display_perpage',20);
	$pageno     = isset($http['navbar_page'])?$http['navbar_page']:0; // default is 0
	$maxpage    = intval(($items-1)/($perpage));

	if (($res >= 0) && ($db->num_rows($res) > 0)) {
		echo "<table width=\"100%\" cellspacing=1 cellpadding=2 border=0>\n";
		echo "<tr class=\"listheader\">\n";
		echo "<td width=\"3%\" align=\"right\"><span class=\"listheader_label\">".ct('S_USER_COUNT')."</span></td>\n";
		echo "<td width=\"8%\" align=\"right\"><a href=\"".ct_pageurl($page,ct_http_array(array('listorder' => 'paydate' )))."\" class=\"listheader_label\">".ct('S_MANAGE_PAYMENTS_DATE')."</a></td>\n";
		echo "<td width=\"29%\"><a href=\"".ct_pageurl($page,ct_http_array(array('listorder' => 'name' )))."\" class=\"listheader_label\">".ct('S_USER_FULLNAME')."</a></td>\n";
		echo "<td align=\"center\" width=\"7%\"><a href=\"".ct_pageurl($page,ct_http_array(array('listorder' => 'paymethod' )))."\" class=\"listheader_label\">".ct('S_PARTICIPATE_PAYMENT_METHOD')."</a><BR>\n";
		echo "<a class=\"fontnormal font8\" href=\"".ct_pageurl($page,ct_http_array(array('listorder' => 'regdate' )))."\">".ct('S_PARTICIPATE_REGDATE_SHORT')."</a></td>\n";
		echo "<td width=\"7%\" align=\"center\"><a href=\"".ct_pageurl($page,ct_http_array(array('listorder' => 'total' )))."\" class=\"listheader_label\">".ct('S_PARTICIPATE_TOTALFEE')."</a></td>\n";
		echo "<td width=\"7%\" align=\"center\"><a href=\"".ct_pageurl($page,ct_http_array(array('listorder' => 'payamount' )))."\" class=\"listheader_label\">".ct('S_MANAGE_PAYMENTS_AMOUNT')."</a></td>\n";
		echo "<td width=\"22%\"><a href=\"".ct_pageurl($page,ct_http_array(array('listorder' => 'note' )))."\" class=\"listheader_label\">".ct('S_MANAGE_PAYMENTS_INFO')."</a></td>\n";
		echo "<td width=\"7%\" align=\"right\"><span class=\"listheader_label\">".ct('S_ADMIN_USERS_ACTIONS')."</span></td>\n";
		echo "</tr>\n";
		for ($i=0; $i < $db->num_rows($res); $i++) {
			$row= $db->fetch($res);
			$payment->load_by_id($row['paymentID']);
			$paidtotal += $payment->get('payamount');
			if (intval($i/$perpage)==$pageno) {
				$page_i++;
				$page_paidtotal += $payment->get('payamount');
				$payment->show_row(($i%2?"oddrow":"evenrow"),$i,$page);
			}
		}
		// show sums...
		if ($maxpage>0) {
			echo "<tr class=\"dimbg\">\n";
			echo "<td colspan=\"5\"><span class=\"form_label\">".ct('S_ADMIN_PAYMENTS_BROWSE_PAGE_SUM1')." $page_i ".ct('S_ADMIN_PAYMENTS_BROWSE_PAGE_SUM2')."</span></td>\n";
			echo "<td align=\"right\"><span class=\"form_label\">".ct_number_format($page_paidtotal)."</span></td>\n";
			echo "<td align=\"left\" colspan=\"2\"><span class=\"form_label\">".ctconf_get('currencySymbol')."</span></td>\n";
			echo "</tr>\n";
		}
		echo "<tr class=\"darkbg\">\n";
		echo "<td colspan=\"5\"><span class=\"form_label\">".ct('S_ADMIN_PAYMENTS_BROWSE_SUM1')." $i ".ct('S_ADMIN_PAYMENTS_BROWSE_SUM2')."</span></td>\n";
		echo "<td align=\"right\"><span class=\"form_label\">".ct_number_format($paidtotal)."</span></td>\n";
		echo "<td align=\"left\" colspan=\"2\"><span class=\"form_label\">".ctconf_get('currencySymbol')."</span></td>\n";
		echo "</tr>\n";
		echo "</table>\n";
		if ($maxpage>0) ct_navbar_small($page,$items);
	}
	echo "&nbsp;<br>";

}

?>
