<?php
//
// PAGE:		adminToolGroups
// DESC:		Define different participant groups like "Standard", "Student", Member of...
//

ct_requireadmin();
ct_pagepath(array('index','adminTool'));

ct_load_lib('participation.lib');
ct_load_class('CTForm');

$session->del('db_groups'); // delete cache!

if (isset($http['cmd_groups_save'])) {
	$db->replace_into('groups', array('ID'=>$http['form_id'], 'title'=>$http['form_title'],'title2'=>$http['form_title2'],'title3'=>$http['form_title3'],'title4'=>$http['form_title4'],'regexpression'=>$http['form_regexpression'],'active'=>($http['form_active']=="1"?"1":"0")));
	ct_infobox(ct('S_INFO_SAVE'), ct('S_INFO_SAVE_SUCCESS'));
} elseif (isset($http['cmd_groups_create']) && $http['form_title']!="") {
	$db->insert_into('groups', array('ID'=>0, 'title'=>$http['form_title'],'title2'=>$http['form_title2'],'title3'=>$http['form_title3'],'title4'=>$http['form_title4'],'regexpression'=>$http['form_regexpression'],'active'=>($http['form_active']=="1"?"1":"0")));
	ct_infobox(ct('S_INFO_SAVE'), ct('S_INFO_SAVE_SUCCESS'));
	// $res = $db->query('select LAST_INSERT_ID() from groups');
	// $gid = $db->fetch($res);
} elseif (isset($http['cmd_groups_delete'])) {
	$r = $db->select('participants','personID','deleted=0 && status="'.$http['form_group'].'"');
	if ($r && ($db->num_rows($r) > 0)) 
		ct_errorbox(ct('S_ERROR_EDITPARTICIPATIONDATA'),ct('S_ERROR_EDITPARTICIPATIONDATA_NODELETE'));
    else {
    	// Check if at least one entry is left
		$r = $db->select('groups','*');
		if ($r && ($db->num_rows($r) > 1)) 
	    	$db->delete("groups","id='".$http['form_group']."'");
	    else 
			ct_errorbox(ct('S_ERROR_DELETE_PERMANENTDATA'),ct('S_ERROR_DELETE_PERMANENTDATA_KEEPONE'));
    }
} #elseif (ct_participants_exist()) {
#	ct_warningbox(ct('S_ERROR_EDITPARTICIPATIONDATA'),ct('S_ERROR_EDITPARTICIPATIONDATA_PARTICIPATS_EXISTS'));
#}

echo "<h1>".ct('S_ADMIN_TOOL_GROUPS_TITLE')."</h1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_GROUPS_INTRO')."</p>\n";

$form1 = new CTform(ct_pageurl('adminToolGroups'), 'post');
$form1->width='400';
$form1->align='center';
$form1->add_select(ct('S_PARTICIPATION_FORM_GROUPS'), 'form_group', 6, ct_list_groups(), array(), false);
$form1->add_submit('cmd_groups_delete', ct('S_ADMIN_TOOL_GROUPS_DELETECMD'));
$form1->add_submit('cmd_groups_edit', ct('S_ADMIN_TOOL_GROUPS_EDITCMD'));
$form1->show();

$form2 = new CTForm(ct_pageurl('adminToolGroups'), 'post');
$form2->width='600';
$form2->align='center';
if (ctconf_get('demomode')) $form2->demomode=true;

if (isset($http['cmd_groups_edit']) && isset($http['form_group']) && ($http['form_group'] != "")) {
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_GROUPS_EDITINTRO')."</p>\n";
	$form2->add_hidden(array(array('form_id', $http['form_group'])));
	$r = $db->query("select * from groups where id='".$http['form_group']."'");
	if ($r && ($db->num_rows($r) > 0)) {
		$group = $db->fetch($r);
	}
	$form2->add_text_lang(ct('S_ADMIN_TOOL_GROUPS_FORM_GROUP'),'form_title', $group['title'], $group['title2'], $group['title3'], $group['title4'], 50, 255);
	$form2->add_text(ct('S_ADMIN_TOOL_GROUPS_FORM_REGEXP'),'form_regexpression', $group['regexpression'], 50, 255, false, '<br>'.ct('S_ADMIN_TOOL_GROUPS_FORM_REGEXP_HINT'));
	$form2->add_check(ct('S_ADMIN_TOOL_GROUPS_FORM_ACTIVE'), array(array('form_active','1',ct('S_ADMIN_TOOL_GROUPS_FORM_ACTIVE_INFO'),$group['active'])));
	$form2->add_submit('cmd_groups_save', ct('S_ADMIN_TOOL_GROUPS_SAVECMD'));
	$form2->add_submit('cmd_groups_cancel', ct('S_BUTTON_CANCEL'));
} else {
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_GROUPS_NEWINTRO')."</p>\n";
	$form2->add_text_lang(ct('S_ADMIN_TOOL_GROUPS_FORM_GROUP'),'form_title', '','','','', 50, 255);
	$form2->add_text(ct('S_ADMIN_TOOL_GROUPS_FORM_REGEXP'),'form_regexpression', '', 50, 255, false, '<br>'.ct('S_ADMIN_TOOL_GROUPS_FORM_REGEXP_HINT'));
	$form2->add_check(ct('S_ADMIN_TOOL_GROUPS_FORM_ACTIVE'), array(array('form_active','1',ct('S_ADMIN_TOOL_GROUPS_FORM_ACTIVE_INFO'),'1')));
	$form2->add_submit('cmd_groups_create', ct('S_ADMIN_TOOL_GROUPS_CREATECMD'));
}

$form2->show();

?>
