<?php
//
// PAGE:		adminToolPricecategories
// DESC:		Define price categories for different conference events / products
//

ct_requireadmin();
ct_pagepath(array('index','adminTool'));

ct_load_class('CTForm');
ct_load_lib('participation.lib');


if (isset($http['cmd_pricecategories_save'])) {
	$db->replace_into('pricecategories', array('ID'=>$http['form_id'], 'title'=>$http['form_title'], 'title2'=>$http['form_title2'], 'title3'=>$http['form_title3'], 'title4'=>$http['form_title4']));
	ct_infobox(ct('S_INFO_SAVE'), ct('S_INFO_SAVE_SUCCESS'));
} elseif (isset($http['cmd_pricecategories_create']) && $http['form_title']!="") {
	$db->insert_into('pricecategories', array('ID'=>0, 'title'=>$http['form_title'], 'title2'=>$http['form_title2'], 'title3'=>$http['form_title3'], 'title4'=>$http['form_title4']));
	ct_infobox(ct('S_INFO_SAVE'), ct('S_INFO_SAVE_SUCCESS'));
} elseif (isset($http['cmd_pricecategories_delete'])) {
	$r = $db->select('events','ID','pricecategory="'.$http['form_pricecategory'].'"');
	if ($r && ($db->num_rows($r) > 0)) 
		ct_errorbox(ct('S_ERROR_EDITPARTICIPATIONDATA'),ct('S_ERROR_EDITPARTICIPATIONDATA_NODELETE'));
    else 
	    $db->delete("pricecategories","id='".$http['form_pricecategory']."'");
} #elseif (ct_participants_exist()) {
#	ct_warningbox(ct('S_ERROR_EDITPARTICIPATIONDATA'),ct('S_ERROR_EDITPARTICIPATIONDATA_PARTICIPATS_EXISTS'));
#}

echo "<h1>".ct('S_ADMIN_TOOL_PRICECATEGORIES_TITLE')."</h1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PRICECATEGORIES_INTRO')."</p>\n";

$form1 = new CTform(ct_pageurl('adminToolPricecategories'), 'post');
$form1->width='400';
$form1->align='center';
$form1->add_select(ct('S_PARTICIPATION_FORM_PRICECATEGORIES'), 'form_pricecategory', 6, ct_list_pricecategories(), array(), false);
$form1->add_submit('cmd_pricecategories_edit', ct('S_ADMIN_TOOL_PRICECATEGORIES_EDITCMD'));
$form1->add_submit('cmd_pricecategories_delete', ct('S_ADMIN_TOOL_PRICECATEGORIES_DELETECMD'));
$form1->show();

$form2 = new CTForm(ct_pageurl('adminToolPricecategories'), 'post');
$form2->width='500';
$form2->align='center';
if (ctconf_get('demomode')) $form2->demomode=true;

if (isset($http['cmd_pricecategories_edit']) && isset($http['form_pricecategory']) && ($http['form_pricecategory'] != "")) {
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PRICECATEGORIES_EDITINTRO')."</p>\n";
	$form2->add_hidden(array(array('form_id', $http['form_pricecategory'])));
	$r = $db->query("select * from pricecategories where id='".$http['form_pricecategory']."'");
	if ($r && ($db->num_rows($r) > 0)) {
		$pricecategory = $db->fetch($r);
	}
	$form2->add_label(ct('S_ID'),$pricecategory['ID']);
	$form2->add_text_lang(ct('S_ADMIN_TOOL_PRICECATEGORIES_FORM_PRICECATEGORY'),'form_title', $pricecategory['title'],$pricecategory['title2'],$pricecategory['title3'],$pricecategory['title4'], 50, 255);
	$form2->add_submit('cmd_pricecategories_calcel', ct('S_BUTTON_CANCEL'));
	$form2->add_submit('cmd_pricecategories_save', ct('S_ADMIN_TOOL_PRICECATEGORIES_SAVECMD'));
} else {
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PRICECATEGORIES_NEWINTRO')."</p>\n";
	$form2->add_text_lang(ct('S_ADMIN_TOOL_PRICECATEGORIES_FORM_PRICECATEGORY'),'form_title', '', '', '', '', 50, 255);
	$form2->add_submit('cmd_pricecategories_create', ct('S_ADMIN_TOOL_PRICECATEGORIES_CREATECMD'));
}
$form2->show();
?>



