<?php
// Set the factors for the different criteria of the reviews...

ct_requireadmin();
ct_pagepath(array('index', 'adminTool'));

ct_load_class('CTReview');
ct_load_class('CTForm');

$session->del('db_reviewfactors');

if (isset($http['cmd_reviewfactors_save'])) {
	$r = $db->query("SELECT criterion FROM reviewfactors");
	$num = $db->num_rows($r);
	if ($num > 0) {
		$countfactors = 0;
		$factors = array();
		for ($i = 0; $i < $num; $i++) {
			$row = $db->fetch($r);
			$newfactor = $http[$row['criterion']];
			
			if ($row['criterion']!="familiarity") $countfactors += $newfactor;
			$factors[$i] = array($row['criterion'],$newfactor);
		}
		
		if($countfactors != 100) {
			ct_errorbox(ct('S_ERROR_REVIEWFACTORS'), ct('S_ERROR_REVIEWFACTORS_FAILED'));
		} else {
			// update table 'reviewfactors'
			foreach($factors as $factor) {
				$db->query("UPDATE reviewfactors SET factor='".$factor[1]."' WHERE criterion='".$factor[0]."'");
			}
		}
	}
}

echo "<h1>".ct('S_ADMIN_TOOL_REVIEWFACTORS_TITLE')."</h1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_REVIEWFACTORS_INTRO')."</p>\n";

$form = new CTform(ct_pageurl('adminToolReviewfactors'), 'post');
$form->width='600';
$form->align='center';
$form->formname='reviewfactors';
$form->warningmessage=true;

$form->add_separator(ct('S_ADMIN_TOOL_REVIEWFACTORS_CATEGORIES'));

$review = new CTReview();

// Select from 0 to 100
$factors = array();
for($h = 0; $h <= 100; $h++) { $factors[$h] = array($h,$h);	}

// Read old values
$r = $db->query("SELECT * FROM reviewfactors");
$num = $db->num_rows($r);
// Create Form
if ($num > 0) {
	for ($i = 0; $i < $num; $i++) {
		$row = $db->fetch($r);
		
		if ($row['criterion']!="familiarity") {
			$form->add_select($review->get_criteria_title($row['criterion']), $row['criterion'], 1, $factors, array($row['factor']),false,"%");
		} else {
			$form->add_separator(ct('S_ADMIN_TOOL_REVIEWFACTORS_FAMILIARITY_TITLE'));
			$form->add_select(ct('S_ADMIN_TOOL_REVIEWFACTORS_FAMILIARITY'), $row['criterion'], 1, array(array(0,ct('S_NO')),array(1,ct('S_YES'))),array($row['factor']), false, "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" );
		}
	}
}
$form->add_submit('cmd_reviewfactors_save', ct('S_ADMIN_TOOL_REVIEWFACTORS_SAVECMD'));
$form->show();


?>