<?php
//
// PAGE:     adminToolSessionRooms
// DESC:     Enter, edit and show all rooms for this conference. Rooms are used for the sessions
//

ct_requireadmin();
ct_pagepath(array('index','adminTool'));

ct_load_lib('papers.lib');
ct_load_class('CTForm');

$session->del('db_session_room_names'); // Delete buffered session rooms...

if (isset($http['cmd_session_rooms_save']) && $http['form_id']!="" && $http['form_name']!="") {
	$db->replace_into('session_rooms', array('ID'=>$http['form_id'], 'name'=>$http['form_name'], 'name2'=>$http['form_name2'] , 'name3'=>$http['form_name3'] , 'name4'=>$http['form_name4']));
}
if (isset($http['cmd_session_rooms_create']) && $http['form_name']!="") {
	$db->insert_into('session_rooms', array('ID'=>0, 'name'=>$http['form_name'], 'name2'=>$http['form_name2'] , 'name3'=>$http['form_name3'] , 'name4'=>$http['form_name4']));
}
if (isset($http['cmd_session_rooms_delete']) && $http['form_room']!="") {
	$db->delete("session_rooms","id='".$http['form_room']."'");
}


echo "<h1>".ct('S_ADMIN_TOOL_SESSION_ROOMS_TITLE')."</h1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_SESSION_ROOMS_INTRO')."</p>\n";

$form1 = new CTform(ct_pageurl('adminToolSessionRooms'), 'post');
$form1->width='500';
$form1->align='center';
$form1->add_select(ct('S_ADMIN_TOOL_SESSION_ROOMS_NAME'), 'form_room', 6, ct_list_session_rooms(), array(), false);
$form1->add_submit('cmd_session_rooms_delete', ct('S_ADMIN_TOOL_SESSION_ROOMS_DELETECMD'));
$form1->add_submit('cmd_session_rooms_edit', ct('S_ADMIN_TOOL_SESSION_ROOMS_EDITCMD'));
$form1->show();

$form2 = new CTForm(ct_pageurl('adminToolSessionRooms'), 'post');
$form2->width='600';
$form2->align='center';
if (ctconf_get('demomode')) $form2->demomode=true;

if (isset($http['cmd_session_rooms_edit']) && isset($http['form_room']) && ($http['form_room'] != "")) {
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_SESSION_ROOMS_EDITINTRO')."</p>\n";
	$form2->add_hidden(array(array('form_id', $http['form_room'])));
	$r = $db->query("select * from session_rooms where id='".$http['form_room']."'");
	if ($r && ($db->num_rows($r) > 0)) {
		$topic = $db->fetch($r);
	}
	$form2->add_text_lang(ct('S_ADMIN_TOOL_SESSION_ROOMS_NAME'),'form_name', $topic['name'],$topic['name2'],$topic['name3'],$topic['name4'], 50, 255);
	$form2->add_submit('cmd_session_rooms_save', ct('S_ADMIN_TOOL_SESSION_ROOMS_SAVECMD'));
	$form2->add_submit('cmd_session_rooms_cancel', ct('S_BUTTON_CANCEL'));
} else {
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_SESSION_ROOMS_NEWINTRO')."</p>\n";
	$form2->add_text_lang(ct('S_ADMIN_TOOL_SESSION_ROOMS_NAME'),'form_name', '','','','', 50, 255);
	$form2->add_submit('cmd_session_rooms_create', ct('S_ADMIN_TOOL_SESSION_ROOMS_CREATECMD'));
}
$form2->show();
?>
