
<?php
//
// PAGE:		browseAssignedPapers
// DESC:		Show a list of all papers assigned to this PC member...
//



// if user has no admin rights, check if he is a pc member and "reviewing" is active
#if (! ($user->is_admin() ||
#		(($user->is_pc() || $user->is_reviewer()) && ct_check_phases("reviewing")))) {
if (! ($user->is_admin() || $user->is_pc() || $user->is_reviewer())) {
	$session->put_errorbox(ct('S_ERROR_PHASE'), ct('S_ERROR_PHASE_INACTIVE'));
	ct_redirect(ct_pageurl('error'));
}

$session->set_besturl(ct('S_BROWSEASSIGNEDPAPERS_QUICK'));

$reviews = $user->get_reviews();
if (ct_check_phases("reviewing")) {
	if (count($reviews)>0) {
		echo "<H1>".ct('S_BROWSEASSIGNEDPAPERS_TITLE')."</H1>\n";
		echo "<p class=\"fontnormal font10\">".ct('S_BROWSEASSIGNEDPAPERS_INFO')."</p>\n";
		echo '<p class="fontbold font10"><a href="'.ct_pageurl('browseReviews').'">'.ct('S_BROWSEREVIEWS_TITLE')."<a></p>\n";
		for ($i=0; $i < sizeof($reviews); $i++) {
			$paper = $reviews[$i]->get_paper();
			$paper->show_reviewbox($reviews[$i],"95%");
			ct_vspacer('10');
		}
	}else {
		echo "<H2>".ct('S_INDEX_PAPER_NOREVIEWS')."</H1>";
	}
} else {
	ct_load_page('browseReviews');
}

?>
