<?php
//
// PAGE:		frontdeskStatus
// Show status information about participants to frontdesk people...
//
ct_requirefrontdesk();

if (!ct_check_phases('frontdesk')) {
	$session->put_errorbox(ct('S_ERROR_PHASE'), ct('S_ERROR_PHASE_INACTIVE'));
	ct_redirect(ct_pageurl('error'));
}

ct_load_class('CTParticipation');
ct_load_class('CTParticipation_Form');

$person = new CTPerson;
$participation = new CTParticipation_Form;
if (isset($http['cmd_save_participant'])) {
	$participation->load_by_id($http['form_personID']);
	$participation->_process_form_frontdeskpart();
	$participation->persist();
	$session->put_infobox(ct('S_INFO_EDITPARTICIPANT'),ct('S_INFO_EDITPARTICIPANT_SUCCESS'));
	ct_redirect($session->get_besturl());
} else if (isset($http['form_userID'])) {
	if ($person->load_by_id($http['form_userID'])) {
		$person->show_mediuminfo('600', 'center');

		$participation->load_by_id($person->pdata['ID']);
		$participation->show_participant_data('600', 'center');
		$participation->show_form_frontdesk(ct_pageurl('frontdeskStatus'), array() );
	}
}
?>