<?php
//
// PAGE:		publicInvoice
// Show Invoice for printout. This version can be accessed without login, if the 
//		        key is OK.
//

// check if conferenceKey was set. This is required to create and verify the key
if (!isset($ctconf['conferenceKey']) || strlen($ctconf['conferenceKey'])<10) {
	$session->put_errorbox(ct('S_ERROR_ACCESSDENIED'),ct('S_ERROR_PUBLICINVOICE_SETUP',array(ct_encodeMail(ctconf_get('conferenceContactEmail')))));
	ct_redirect(ct_pageurl('logout'));
}

// key and ID were set?
if (!in_http('key') || strlen($http['key'])<30 || !in_http('ID') || (int)$http['ID']<1 ) { 
	$session->put_errorbox(ct('S_ERROR_ACCESSDENIED'), ct('S_ERROR_PUBLICINVOICE_KEY',array(ct_encodeMail(ctconf_get('conferenceContactEmail')))));
	ct_redirect(ct_pageurl('logout'));
}

ct_load_lib('participation.lib');

// check key
if (ct_get_invoiceKey((int)$http['ID'])===false || $http['key'] != ct_get_invoiceKey((int)$http['ID']) ) { 
	$session->put_errorbox(ct('S_ERROR_ACCESSDENIED'), ct('S_ERROR_PUBLICINVOICE_KEY',array(ct_encodeMail(ctconf_get('conferenceContactEmail')))));
	ct_redirect(ct_pageurl('logout'));
}

// does person exist and is he a participant?
$person = new CTPerson();
if (!$person->load_by_id((int)$http['ID']) || !$person->is_participant() ) {
	$session->put_errorbox(ct('S_ERROR_ACCESSDENIED'), ct('S_ERROR_PUBLICINVOICE_KEY',array(ct_encodeMail(ctconf_get('conferenceContactEmail')))));
	ct_redirect(ct_pageurl('logout'));
}

// load participant data and show invoice.
ct_load_class('CTParticipation'); 
$participation = new CTParticipation;
if ($participation->load_by_id($person->get('ID'))) {
	$participation->show_invoice_data('640','center');
}

?>
