<?php
#
# PAGE:		showAbstract
# DESC:     Shows a paper summary in a nicely formatted format.
# HINT:		
#

if (in_http('form_paperID')) $http['form_id']=$http['form_paperID']; // Both parameters are allowed...
if (!in_http('form_id')) {
	ct_redirect(ct_pageurl('index'));
}

ct_load_class('CTPaper');
$paper = new CTPaper;

# check if paper exists
if (!$paper->load_by_id($http['form_id'])) {
	$session->put_errorbox(ct('S_ERROR_PAPER_DOWNLOAD'), ct('S_ERROR_PAPER_DOWNLOAD_NOACCESS'));
	ct_redirect(ct_pageurl('error'));
}

// get correct class name...
$classname = $paper->get_paperClass();
ct_load_class($classname);
eval('$paperclass = new '.$classname.'();');
$paperclass = ct_type_cast($paper,$classname);

$author =& $paperclass->get_author(); 

# check user rights
if (! ( $user->is_admin() || $user->is_conferenceChair() || $user->is_chair() ||
     ($user->get('ID') == $author->get('ID')) || 
	 $user->is_coauthor_for($paperclass->get_id()) ||
     $paperclass->is_reviewed_by($user->get('ID')) )) {
	$session->put_errorbox(ct('S_ERROR_PAPER_DOWNLOAD'), ct('S_ERROR_PAPER_DOWNLOAD_NOACCESS'));
	ct_redirect(ct_pageurl('error'));
}

	ct_vspacer('14');	

	echo "<table  width=\"90%\" align=\"center\" cellspacing=1 border=0 cellpadding=2 class=\"darkbg\">";
	echo "<tr><td valign=top align=left class=\"form_td_separator_gradient\">\n";
	echo "<span class=\"form_separator_label\">".ct('S_PAPER_FORMATTED_ABSTRACT',array($paperclass->get_id()))."</span>\n";
	echo "</td></tr>\n";
	echo "</table>\n";

	echo "<table  width=\"90%\" align=\"center\" cellspacing=1 border=0 cellpadding=2 class=\"blackbg\">";
	echo "<tr><td class=\"whitebg\" align=left valign=top>";
	$paperclass->show_formatted(true,true);
	echo "</td></tr>\n";	

	if ($paperclass->is_reviewed_by($user->get('ID')) ) {
		echo "<tr><td class=\"brightbg\" align=left valign=top>";
		$paperclass->show_reviewer_options();
		echo "</td></tr>\n";
	}
	
	echo "</table>\n";	
	
	ct_vspacer('14');	
	
?>