
/**
 * Highlight rows in conftool
 *
 * @param   object     table row
 * @param   string     action calling this script (on, off or click)
 * @param   string     default style 
 * @param   string     style to use for mouseover
 *
 * @return  boolean   
 */
function ct_row( Row, Action, DefaultStyle, HighlightStyle )
{
    if (DefaultStyle == '' || HighlightStyle == '' || typeof(Row.style) == 'undefined') 
        return false;

    if (Action=="on")
        Row.className = HighlightStyle;
    if (Action=="off")        
        Row.className = DefaultStyle;
     
    //   Row.style.cssText = "background: "+DefaultColor+"; !important;";

    return true;
} // end of 'ct_row()' function
