<?php
//
// PAGE:		adminParticipantsCheckConsistency
// DESC:		Checks the consistency of ConfTool Participant data, total prices
//				 and total payments.
//

ct_requireadmin();
ct_pagepath(array('index','admin'));
if( !ini_get('safe_mode') ){
	// Does _not_ work in SAFE MODE
	set_time_limit(600); // 600s
}
ob_end_flush();

ct_load_class('CTParticipation'); 

$participation = new CTParticipation;

$query = "select personID from participants ";
// echo $query;
$r = $db->query($query);

echo "<H1>Checking all participants...</H1>";

for ($i=0; $i < $db->num_rows($r); $i++) {
	$row = $db->fetch($r);
	$participation->load_by_id($row['personID']);
	$participation->persist();
	echo $participation->get('personID').': '.ct_form_encode($participation->person->get_fullname())." (".$participation->get('deleted').")&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Total: ".$participation->get('total')." / Paid: ".$participation->get('payamount')."<br>\n";
	ob_flush(); flush();
}

echo "<H1>Done! All Participants checked!</H1>";

?>