<?php
//
// PAGE:		adminTool
// DESC:		Overview page to select what configuration settings shall be displayed/ modified
//

ct_requireadmin();
ct_pagepath(array('index'));

$session->set_besturl(ct('S_INDEX_CMD_TOOL'));

echo "<h1>".ct('S_ADMIN_TOOL_TITLE')."</h1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_INTRO')."</p>\n";

echo "<table cellpadding=5 align=center width=\"100%\">\n";
echo "<tr><td colspan=2 class=\"mediumbg_gradient\">\n";
echo "<span class=\"fontbold font10\">".ct('S_ADMIN_TOOL_CMDS_MAIN_TITLE')."</span>\n";
echo "</td></tr><tr><td width=\"5%\" class=\"mediumbg\">&nbsp;</td>";
echo "<td width=\"95%\" valign=top align=left class=\"lightbg\">\n";
echo "<dl>\n";
echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolMasterData')."\">".ct('S_ADMIN_TOOL_MASTERDATA_CMD')."</a></dt>\n";
echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_MASTERDATA_HINT')."</dd>\n";
echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolMailSettings')."\">".ct('S_ADMIN_TOOL_MAILSETTINGS_CMD')."</a></dt>\n";
echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_MAILSETTINGS_HINT')."</dd>\n";
echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolPhases')."\">".ct('S_ADMIN_TOOL_PHASES_CMD')."</a></dt>\n";
echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PHASES_HINT')."</dd>\n";
echo "</dl>\n";
echo "</td></tr>\n";

if (ctconf_get('submission/enabled')) {

	echo "<tr><td colspan=2 class=\"mediumbg_gradient\">\n";
	echo "<span class=\"fontbold font10\">".ct('S_ADMIN_TOOL_CMDS_TRACKS_TITLE')."</span>\n";
	echo "</td></tr><tr><td width=\"5%\" class=\"mediumbg\">&nbsp;</td>";
	echo "<td width=\"95%\" valign=top align=left class=\"lightbg\">\n";
	echo "<dl>\n";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolContributionTypes')."\">".ct('S_ADMIN_TOOL_CONTRIBUTIONTYPES_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_CONTRIBUTIONTYPES_HINT')."</dd>\n";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolTopics')."\">".ct('S_ADMIN_TOOL_TOPICS_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_TOPICS_HINT')."</dd>\n";
	if (ct_test_lib('paper_extraoption.lib')) {	// if extra option exisits
		echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolPaperExtraOptions')."\">".ct('S_ADMIN_TOOL_PAPEREXTRAOPTIONS_CMD')."</a></dt>\n";
		echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PAPEREXTRAOPTIONS_INTRO')."</dd>\n";
	}
	if (ct_test_lib('multi_track.lib')) {	// if multi-track library exists...
		if (ctconf_get('chairTrackSelect',false)) { // Only pc members of certain tracks
			echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminTracksAssignChairs')."\">".ct('S_ADMIN_TRACK_ASSIGN_CHAIRS')."</a></dt>\n";
			echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TRACK_ASSIGN_CHAIRS_HINT')."</dd>\n";
		}
		if (ctconf_get('pcTrackSelect',false)) { // Only pc members of certain tracks
			echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminTracksAssignPCs')."\">".ct('S_ADMIN_TRACK_ASSIGN_PCS')."</a></dt>\n";
			echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TRACK_ASSIGN_PCS_HINT')."</dd>\n";
		}
		if (ctconf_get('topicsTrackSelect',false)) { // Only pc members of certain tracks
			echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminTracksAssignTopics')."\">".ct('S_ADMIN_TRACK_ASSIGN_TOPICS')."</a></dt>\n";
			echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TRACK_ASSIGN_TOPICS_HINT')."</dd>\n";
		}
	}
	echo "</dl>\n";
	echo "</td></tr>\n";
	
	echo "<tr><td colspan=2 class=\"mediumbg_gradient\">\n";
	echo "<span class=\"fontbold font10\">".ct('S_ADMIN_TOOL_CMDS_REVIEWING_TITLE')."</span>\n";
	echo "</td></tr><tr><td width=\"5%\" class=\"mediumbg\">&nbsp;</td>";
	echo "<td width=\"95%\" valign=top align=left class=\"lightbg\">\n";
	echo "<dl>\n";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolReviewfactors')."\">".ct('S_ADMIN_TOOL_REVIEWFACTORS_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_REVIEWFACTORS_HINT')."</dd>\n";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolSessionRooms')."\">".ct('S_ADMIN_TOOL_SESSION_ROOMS_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_SESSION_ROOMS_HINT')."</dd>\n";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolSessions')."\">".ct('S_ADMIN_TOOL_SESSIONS_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_SESSIONS_HINT')."</dd>\n";
	echo "</dl>\n";
	echo "</td></tr>\n";
	
}
if (ctconf_get('participation/enabled')) {
	echo "<tr><td colspan=2 class=\"mediumbg_gradient\">\n";
	echo "<span class=\"fontbold font10\">".ct('S_ADMIN_TOOL_CMDS_PARTICIPATE_TITLE')."</span>\n";
	echo "</td></tr><tr><td width=\"5%\" class=\"mediumbg\">&nbsp;</td>";
	echo "<td width=\"95%\" valign=top align=left class=\"lightbg\">\n";
	echo "<dl>\n";
	echo "<dt><span class=\"fontbold font10\">1. ".ct('S_ADMIN_TOOL_GROUP1')."</span></dt>";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolGroups')."\">".ct('S_ADMIN_TOOL_GROUPS_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_GROUPS_HINT')."</dd>\n";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolDiscounts')."\">".ct('S_ADMIN_TOOL_DISCOUNTS_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_DISCOUNTS_HINT')."</dd>\n";
	if (ctconf_get('conferenceWithVAT','1')) {
		echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolVats')."\">".ct('S_ADMIN_TOOL_VATS_CMD')."</a></dt>\n";
		echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_VATS_HINT')."</dd>\n";
	}
	echo "<dt><span class=\"fontbold font10\">2. ".ct('S_ADMIN_TOOL_GROUP2')."</span></dt>";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolPricecategories')."\">".ct('S_ADMIN_TOOL_PRICECATEGORIES_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PRICECATEGORIES_HINT')."</dd>\n";
	echo "<dt><span class=\"fontbold font10\">3. ".ct('S_ADMIN_TOOL_GROUP3')."</span></dt>";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolPrices')."\">".ct('S_ADMIN_TOOL_PRICES_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PRICES_HINT')."</dd>\n";
	echo "<dt><span class=\"fontbold font10\">4. ".ct('S_ADMIN_TOOL_GROUP4')."</span></dt>";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolEventtypes')."\">".ct('S_ADMIN_TOOL_EVENTTYPES_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_EVENTTYPES_HINT')."</dd>\n";
	echo "<dt><span class=\"fontbold font10\">5. ".ct('S_ADMIN_TOOL_GROUP5')."</span></dt>";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolEvents')."\">".ct('S_ADMIN_TOOL_EVENTS_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_EVENTS_HINT')."</dd>\n";
	echo "<dt><span class=\"fontbold font10\">6. ".ct('S_ADMIN_TOOL_GROUP6')."</span></dt>";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolEventtypeorder')."\">".ct('S_ADMIN_TOOL_EVENTTYPEORDER_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_EVENTTYPEORDER_HINT')."</dd>\n";
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolEventorder')."\">".ct('S_ADMIN_TOOL_EVENTORDER_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_EVENTORDER_HINT')."</dd>\n";

	if (ct_test_lib('participation_extraoption.lib')) {	// if extra option exisits
		ct_load_lib('participation_extraoption.lib');
		echo "<dt><span class=\"fontbold font10\">".ct('S_ADMIN_TOOL_EXTRAOPTIONS')."</span></dt>";
		if (ct_test_page('adminToolParticipationExtraOption1') && pse_test_table_participation_extraoptions_exist(1)) {
			echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolParticipationExtraOption1')."\">".ct('S_ADMIN_TOOL_PARTICIPANT_EXTRAOPTIONS_CMD_1')."</a></dt>\n";
			echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PARTICIPANT_EXTRAOPTIONS_INTRO_1')."</dd>\n";
		}
		if (ct_test_page('adminToolParticipationExtraOption2') && pse_test_table_participation_extraoptions_exist(2)) {
			echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolParticipationExtraOption2')."\">".ct('S_ADMIN_TOOL_PARTICIPANT_EXTRAOPTIONS_CMD_2')."</a></dt>\n";
			echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PARTICIPANT_EXTRAOPTIONS_INTRO_2')."</dd>\n";
		}
		if (ct_test_page('adminToolParticipationExtraOption3') && pse_test_table_participation_extraoptions_exist(3)) {
			echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminToolParticipationExtraOption3')."\">".ct('S_ADMIN_TOOL_PARTICIPANT_EXTRAOPTIONS_CMD_3')."</a></dt>\n";
			echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PARTICIPANT_EXTRAOPTIONS_INTRO_3')."</dd>\n";
		}
	}
	echo "</dl>\n";
	
	echo "</td></tr>\n\n";
}	
echo "</table>\n";
?>
