<?php
//
// PAGE:		adminToolEventorder
// DESC:		Set the display order of the events/products within their categories.
//
ct_requireadmin();
ct_pagepath(array('index','adminTool'));

ct_load_class('CTForm');
ct_load_lib('participation.lib');


if (isset($http['cmd_eventorder_save'])) {
	$events = ct_get_events();
	foreach ($events as $e){
		$db->update('events','ID='.$e['ID'],array('ID'=>$e['ID'],
						'seqorder'=>$http['form_'.$e['ID']],
						'title'=>$e['title'],'title2'=>$e['title2'],'title3'=>$e['title3'],'title4'=>$e['title4'],
						'info'=>$e['info'],'info2'=>$e['info2'], 'info3'=>$e['info3'], 'info4'=>$e['info4'],
						'short'=> $e['short'],
						'eventdate'=> $e['eventdate'],'eventdate2'=> $e['eventdate2'],'eventdate3'=> $e['eventdate3'],'eventdate4'=> $e['eventdate4'],
						'eventlocation'=>$e['eventlocation'],'eventlocation2'=>$e['eventlocation2'],'eventlocation3'=>$e['eventlocation3'],'eventlocation4'=>$e['eventlocation4'],
						'minnumber'=>$e['minnumber'],'maxnumber'=> $e['maxnumber'], 'defaultnumber'=>$e['defaultnumber'],
						'unit'=>$e['unit'],'unit2'=>$e['unit2'],'unit3'=>$e['unit3'],'unit4'=>$e['unit4'],
						'pricecategory'=>$e['pricecategory'], 'eventtype'=>$e['eventtype'], 'vat'=>$e['vat'],
						'hastext'=>$e['hastext'],
						'texthint'=>$e['texthint'],'texthint2'=>$e['texthint2'],'texthint3'=>$e['texthint3'],'texthint4'=>$e['texthint4'],
						'datemode'=>$e['datemode'],
	 					'start'=>$e['start'],
						'end'=>$e['end'],
    					'disable'=>$e['disable'], 'availability'=>$e['availability'], 'style'=>$e['style']
    					));

	}
	ct_infobox(ct('S_INFO_SAVE'), ct('S_INFO_SAVE_SUCCESS'));
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_EVENTORDER_SAVED')."</p>\n";
}

$form = new CTform(ct_pageurl('adminToolEventorder'), 'post');
$form->width='600';
$form->align='center';
if (ctconf_get('demomode')) $form->demomode=true;

$etypes = ct_get_eventtypes();
foreach ($etypes as $etype){
    if ($etype['style']=='normal') 	$form->add_subseparator($etype[ctlx($etype,'title')],ct_nl2br($etype[ctlx($etype,'info')]));
    elseif ($etype['style']=='main' && $etype[ctlx($etype,'info')]=="") 	$form->add_separator($etype[ctlx($etype,'title')]);
    elseif ($etype['style']=='main') 	$form->add_separator3($etype[ctlx($etype,'title')],ct_nl2br($etype[ctlx($etype,'info')]));
    elseif ($etype['style']=='spacer') {
    	$form->add_spacer();
    	$form->add_label(ct('S_ADMIN_TOOL_EVENTTYPES_FORM_STYLE_SPACER'),'('.$etype[ctlx($etype,'title')].')');
    } else    $form->add_label(ct('S_ADMIN_TOOL_EVENTTYPES_FORM_STYLE_HIDDEN'),'('.$etype[ctlx($etype,'title')].')');
	$events = ct_get_events($etype['ID']);
	foreach ($events as $e){
		$form->add_text($e[ctlx($e,'title')],'form_'.$e['ID'],$e['seqorder'], 3, 3);
	}
}

$form->add_submit('cmd_eventorder_save', ct('S_ADMIN_TOOL_EVENTORDER_SAVECMD'));
echo "<h1>".ct('S_ADMIN_TOOL_EVENTORDER_TITLE')."</h1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_EVENTORDER_INTRO')."</p>\n";

$form->show();

?>

