<?php
//
// PAGE:		adminToolEventtypeorder
// DESC:		Define order of event types (how they are displayed).
//
ct_requireadmin();
ct_pagepath(array('index','adminTool'));

ct_load_class('CTForm');
ct_load_lib('participation.lib');


if (isset($http['cmd_eventtypeorder_save'])) {
	$etypes = ct_get_eventtypes();
	foreach ($etypes as $e){
		$db->update('eventtypes','ID='.$e['ID'], array('ID'=>$e['ID'],
		                                        'seqorder'=>$http['form_'.$e['ID']],
		                                        'title'=>$e['title'],'title2'=>$e['title2'],'title3'=>$e['title3'],'title4'=>$e['title4'],
		                                        'info'=>$e['info'],'info2'=>$e['info2'],'info3'=>$e['info3'],'info4'=>$e['info4'],
												'mode'=>$e['mode'], 'style'=>$e['style'],
												'nocharge'=>$e['nocharge'], 'showremaining'=>$e['showremaining'], 'negative'=>$e['negative']));
	}
	ct_infobox(ct('S_INFO_SAVE'), ct('S_INFO_SAVE_SUCCESS'));
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_EVENTTYPEORDER_SAVED')."</p>\n";
}

$form = new CTform(ct_pageurl('adminToolEventtypeorder'), 'post');
$form->width='500';
$form->align='center';
if (ctconf_get('demomode')) $form->demomode=true;

$etypes = ct_get_eventtypes();
foreach ($etypes as $e){
   // if ($e['style']=='normal') 	$form->add_subseparator($e[ctlx($e,'title')],ct_nl2br($e[ctlx($e,'info')]));
   // if ($e['style']=='main') 	    $form->add_separator($e[ctlx($e,'title')]);
   // if ($e['style']=='spacer') 	$form->add_spacer();
	$form->add_text($e[ctlx($e,'title')],'form_'.$e['ID'],$e['seqorder'], 3, 3);
}

$form->add_submit('cmd_eventtypeorder_save', ct('S_ADMIN_TOOL_EVENTTYPEORDER_SAVECMD'));
echo "<h1>".ct('S_ADMIN_TOOL_EVENTTYPEORDER_TITLE')."</h1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_EVENTTYPEORDER_INTRO')."</p>\n";

$form->show();
?>
