<?php
//
// PAGE:	 adminToolPaperExtraOptions
// DESC:     Enter, edit and show all conference categories (e.g. used as meta data for papers to assign them)
//

ct_requireadmin();
ct_pagepath(array('index','adminTool'));

ct_load_class('CTForm');
if (ct_test_lib('paper_extraoption.lib')) {	// if extra option exisits
	ct_load_lib('paper_extraoption.lib');
	if (!ct_test_table_paperextraoptionsexist()) {
		ct_redirect($session->get_besturl());
	}
} else {
	ct_redirect($session->get_besturl());
}


$session->del('db_paperextraoptions');

if (isset($http['cmd_paperextraoptions_save']) && $http['form_id']!="" && $http['form_title']!="") {
	$db->replace_into('paperextraoptions', array('ID'=>$http['form_id'], 'title'=>$http['form_title'], 'title2'=>$http['form_title2'] , 'title3'=>$http['form_title3'] , 'title4'=>$http['form_title4']));
}
if (isset($http['cmd_paperextraoptions_create']) && $http['form_title']!="") {
	$db->insert_into('paperextraoptions', array('ID'=>0, 'title'=>$http['form_title'], 'title2'=>$http['form_title2'] , 'title3'=>$http['form_title3'] , 'title4'=>$http['form_title4']));
}
if (isset($http['cmd_paperextraoptions_delete']) && $http['form_id']!="") {
	$r = $db->query("select paperID from paperextraoptions2papers where extraID='".$http['form_id']."'");
	if ($r && ($db->num_rows($r) > 0)) 
		ct_errorbox(ct('S_ERROR_EDITPAPERDATA'),ct('S_ERROR_EDITPAPERDATA_NODELETE'));
 	else
 		$db->delete("paperextraoptions","id='".$http['form_id']."'");
}

echo "<h1>".ct('S_ADMIN_TOOL_PAPEREXTRAOPTIONS_CMD')."</h1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PAPEREXTRAOPTIONS_INTRO')."</p>\n";

$form1 = new CTform(ct_pageurl('adminToolPaperExtraOptions'), 'post');
$form1->width='500';
$form1->align='center';
$form1->add_select(ct('S_PAPER_FORM_PAPEREXTRAOPTIONS'), 'form_id', 10, ct_list_paperextraoptions(), array(), false);
$form1->add_submit('cmd_paperextraoptions_delete', ct('S_BUTTON_DELETE'));
$form1->add_submit('cmd_paperextraoptions_edit', ct('S_BUTTON_EDIT'));
$form1->show();

$form2 = new CTForm(ct_pageurl('adminToolPaperExtraOptions'), 'post');
$form2->width='550';
$form2->align='center';
if (ctconf_get('demomode')) $form2->demomode=true;

if (isset($http['cmd_paperextraoptions_edit']) && isset($http['form_id']) && ($http['form_id'] != "")) {
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PAPEREXTRAOPTIONS_EDITINTRO')."</p>\n";
	$form2->add_hidden(array(array('form_id', $http['form_id'])));
	$r = $db->query("select * from paperextraoptions where id='".$http['form_id']."'");
	if ($r && ($db->num_rows($r) > 0)) {
		$extra = $db->fetch($r);
	}
	$form2->add_text_lang(ct('S_ADMIN_TOOL_PAPEREXTRAOPTIONS_TITLE'),'form_title', $extra['title'],$extra['title2'],$extra['title3'],$extra['title4'], 50, 255);
	$form2->add_submit('cmd_paperextraoptions_save', ct('S_BUTTON_SAVE'));
	$form2->add_submit('cmd_paperextraoptions_cancel', ct('S_BUTTON_CANCEL'));
} else {
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_TOOL_PAPEREXTRAOPTIONS_NEWINTRO')."</p>\n";
	$form2->add_text_lang(ct('S_ADMIN_TOOL_PAPEREXTRAOPTIONS_TITLE'),'form_title', '','','','', 50, 255);
	$form2->add_submit('cmd_paperextraoptions_create', ct('S_BUTTON_CREATE'));
}
$form2->show();
?>
