<?php
//
// PAGE:		adminUsers
// DESC:		Overview page of user administration options.
//

ct_requireassistantorconferencechair();
ct_pagepath(array('index'));

$session->set_besturl();

if (ctconf_get('participation/enabled')) {
	echo "<h1>".ct('S_ADMIN_USERS_TITLE')."</h1>\n";
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_USERS_INTRO')."</p>\n";
} else {
	echo "<h1>".ct('S_ADMIN_USERSONLY_TITLE')."</h1>\n";
	echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_USERSONLY_INTRO')."</p>\n";
}
	
echo "<table cellpadding=5 align=center width=\"100%\">\n";
echo "<tr><td colspan=2 class=\"mediumbg\">\n";
echo "<span class=\"fontbold font10\">".ct('S_ADMIN_USERS_CMDSTITLE')."</span>\n";
echo "</td></tr><tr><td width=\"5%\" class=\"mediumbg\">&nbsp;</td>";
echo "<td width=\"95%\" valign=top align=left class=\"lightbg\">\n";
echo "<dl>\n";
echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminUsersBrowse')."\">".ct('S_ADMIN_USERS_BROWSE_CMD')."</a></dt>\n";
echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_USERS_BROWSE_HINT')."</dd>\n";

if ($user->is_assistant() || $user->is_admin()) {
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminUsersLoginsBrowse')."\">".ct('S_ADMIN_USERS_LOGINS_BROWSE_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_USERS_LOGINS_BROWSE_HINT')."</dd>\n";
}

echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminUsersNew')."\">".ct('S_ADMIN_USERS_NEW_CMD')."</a></dt>\n";
echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_USERS_NEW_HINT')."</dd>\n";

echo "<br>"; // ------------------------------------------------------

if (ctconf_get('participation/enabled')) {

	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminParticipantsBrowse')."\">".ct('S_ADMIN_PARTICIPANTS_BROWSE_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_PARTICIPANTS_BROWSE_HINT')."</dd>\n";
	
	if ($user->is_assistant() || $user->is_admin()) {
		echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminPaymentsBrowse')."\">".ct('S_ADMIN_PAYMENTS_BROWSE_CMD')."</a></dt>\n";
		echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_PAYMENTS_BROWSE_HINT')."</dd>\n";
	}
	
	echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminParticipantsEventsBrowse')."\">".ct('S_ADMIN_PARTICIPANTS_EVENTS_BROWSE_CMD')."</a></dt>\n";
	echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_PARTICIPANTS_EVENTS_BROWSE_HINT')."</dd>\n";
	
	if ($user->is_admin()  || $user->is_assistant() || $user->is_conferenceChair() ) {
		echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminParticipantsTable')."\">".ct('S_ADMIN_PARTICIPANTS_TABLE_CMD')."</a></dt>\n";
		echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_PARTICIPANTS_TABLE_HINT')."</dd>\n";
	}
	echo "<br>"; // ------------------------------------------------------

}


echo "<dt><a class=\"cmda\" href=\"".ct_pageurl('adminUsersPC')."\">".ct('S_ADMIN_USERS_PC_CMD')."</a></dt>\n";
echo "<dd class=\"fontnormal font10\">".ct('S_ADMIN_USERS_PC_HINT')."</dd>\n";
echo "</dl>\n";
echo "</td></tr></table>\n";


?>








