<?php
//
// PAGE:		adminUsersDetails
// DESC:     Show all details of a user.
//

ct_requireassistantorchair();

// Check if access to person is allowed...
if ($user->is_admin() || $user->is_assistant() ) {
	ct_pagepath(array('index','adminUsers'));
	
	if (isset($http['form_id'])) {
		$person = new CTPerson;
		if ($person->load_by_id($http['form_id'])) {
			// Chairs can only access the data of reviewers...
			$person->show_detailed('98%', 'center');
		} else {
			ct_redirect($session->get_besturl());
		}
	} else {
		ct_redirect($session->get_besturl());
	}	
} else { 
	// for chairs and pc members only a short info.
	ct_pagepath(array('index','adminPapers'));
	
	if (isset($http['form_id'])) {
		$person = new CTPerson;
		if ($person->load_by_id($http['form_id'])) {
			// Chairs can only access the data of reviewers...
			if ($user->is_conferenceChair() || 
					($user->is_chair() && ($person->is_pc() || $person->is_reviewer() || $person->is_chair() || $person->is_author() ) ) ) {
				$person->show_mediuminfo('680', 'center');
			} else {
				$session->put_errorbox(ct('S_ERROR_ACCESSDENIED'), ct('S_ERROR_ACCESS_ADMINONLY'));
				ct_redirect(ct_pageurl('error'));
			}
		} else {
			ct_redirect($session->get_besturl());
		}	
	} else {
		ct_redirect($session->get_besturl());
	}	
}

?>
