<?php
//
// PAGE:		adminUsersLoginAs
// DESC:		Allow administrator to login as (any) other user.
//

ct_requireadmin();

if (isset($http['form_id'])) {
	$person = new CTPerson;
	if ($person->load_by_id($http['form_id']) && ($person->get('deleted') == '0')) {
		#$person->set('logindate',ct_timestamp_2_datetime(ct_time()));  // Save login...
		#$person->set('loginhost',ct_get_client_ip());
		$person->set('logoutdate','0000-00-00 00:00:00');
		// Do this double check, to make sure the user will have the right options.
		$person->check_author();
		$person->check_coauthor();
		$person->check_participant();
		$person->persist();
		// delete objects
		$session->del('__participant');
		$session->del('__paper');
		$session->del('__review');
		
		$session->become($person);
		$session->put_infobox(ct('S_INFO_ADMIN_USERS_LOGINAS'), ct('S_INFO_ADMIN_USERS_LOGINAS_SUCCESS'));
		ct_redirect(ct_pageurl('index'));
	} else {
		$session->put_errorbox(ct('S_ERROR_ADMIN_USERS_LOGINAS'), ct('S_ERROR_ADMIN_USERS_LOGINAS_NOTFOUND'));
		ct_redirect($session->get_besturl());
	}
} else {
	$session->put_errorbox(ct('S_ERROR_ADMIN_USERS_LOGINAS'), ct('S_ERROR_ADMIN_USERS_LOGINAS_NOID'));
	ct_redirect($session->get_besturl());
}

?>