<?php
//
// PAGE:		adminUsersBrowse
// DESC:		Show a list of all Conftool users
//

ct_requireassistant();

ct_load_class('CTForm');
ct_load_lib('admin.lib');

ct_pagepath(array('index','adminUsers'));

$session->set_besturl(ct('S_ADMIN_USERS_LOGINS_BROWSE_QUICK'));


echo "<H1>".ct('S_ADMIN_USERS_LOGINS_BROWSE_CMD')."</H1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_ADMIN_USERS_LOGINS_BROWSE_HINT')."</p>\n";

$where = "";

// Search string from navbar
$search     = isset($http['navbar_search'])?$http['navbar_search']:"";
if ($search!="") {
	$where .= " && UPPER(CONCAT(persons.name,'|',persons.firstname,'|',persons.organisation,'|',persons.city,'|',persons.country,'|',persons.email)) LIKE UPPER('%".$search."%')";
}

if (isset($http['form_status']) && !$http['form_status']==0 ) {
	if ($http['form_status']=='NONE')
		$where .= " && status=''";
	elseif ($http['form_status']=='NOTparticipant')
		$where .= " && FIND_IN_SET('participant',status)=0";
	elseif ($http['form_status']=='authorNOTparticipant')
		$where .= " && FIND_IN_SET('participant',status)=0 && FIND_IN_SET('author',status)>0";
	else
		$where .= " && FIND_IN_SET('".$http['form_status']."',status)>0";
}

// now replace first && by where
if ($where!="") {
	$where="where".substr($where,3);
}

// Set order of list
$order = ' order by logindate desc';

$query = "select * from persons $where $order";
// echo $query;
$r = $db->query($query);

// Here comes the filter...
if (isset($http['filter']) && $http['filter'] == "show") {
	echo "<table class=\"whitebg\" width=\"100%\" align=center><tr><td>\n";
	echo "&lt;&lt;&lt; <a class=\"fontbold font10\" href=\"".ct_pageurl('adminUsersLoginsBrowse', ct_http_array(array('filter'=>'hide','form_status'=>'')))."\">".ct('S_ADMIN_FILTER_HIDE')."</a>\n";
	echo "</td></tr></table>\n";
	$form1 = new CTform('adminUsersLoginsBrowse', 'get');
	$form1->width='100%';
	$form1->align='center';
	$form1->add_hidden(hash2aa(ct_http_array(array('filter'=>'show'))));
	$form1->add_select_autosubmit(ct('S_USER_STATUS_ONLY'), 'form_status', array(array('0',ct('S_ADMIN_TOOL_ALLPERSONS')),
		array('author',ct('S_USER_STATUS_AUTHOR')),
		array('coauthor',ct('S_USER_STATUS_COAUTHOR')),
		array('0','------'),
		array('participant',ct('S_USER_STATUS_PARTICIPANT')),
		array('NOTparticipant',ct('S_USER_STATUS_NOTPARTICIPANT')),
		array('authorNOTparticipant',ct('S_USER_STATUS_AUTHOR_NOTPARTICIPANT')),
		array('0','------'),
		array('chair',ct('S_USER_STATUS_CHAIR')),
		array('pc',ct('S_USER_STATUS_PC')),
		array('reviewer',ct('S_USER_STATUS_REVIEWER')),
		array('0','------'),
		array('admin',ct('S_USER_STATUS_ADMIN')),
		array('conferenceChair',ct('S_USER_STATUS_CONFERENCECHAIR')),
		array('assistant',ct('S_USER_STATUS_ASSISTANT')),
		array('frontdesk',ct('S_USER_STATUS_FRONTDESK')),
		array('NONE',ct('S_USER_STATUS_NONE'))),
		array($http['form_status']), false);
	$form1->add_submit_noscriptonly('cmd_search', ct('S_ADMIN_TOOL_SUBMIT'));
	$form1->show();
} else {
	echo "<table width=\"100%\" class=\"whitebg\" align=center border=0><tr><td>\n";
	echo "&gt;&gt;&gt; <a class=\"fontbold font10\" href=\"".ct_pageurl('adminUsersLoginsBrowse', ct_http_array(array('filter'=>'show','form_status'=>'')))."\">".ct('S_ADMIN_FILTER_SHOW')."</a>\n";
	echo "</td></tr></table>\n";
}

if ($r >= 0) {
	ctadm_listusers($r, 'adminUsersLoginsBrowse'); // -> admin.lib
}

?>
