<?php
//
// PAGE:		adminUsersPurge
// DESC:		Purge all deleted users, all deleted papers and all deleted participants
//

ct_requireadmin();
ct_pagepath(array('index','admin','adminUsers'));

if( !ini_get('safe_mode') ){
	// Does _not_ work in SAFE MODE
	set_time_limit(600); // 600s
}
ob_end_flush();


$person = new CTPerson;

$query = "select * from persons where deleted=1 order by ID";
// echo $query;
$res = $db->query($query);

for ($i=0; $i < $db->num_rows($res); $i++) {
	$person->pdata = $db->fetch($res);
	$person->check_author();
	$person->check_participant();
	$id = $person->get_id();
	if ($person->is_author()) {
		echo "<H3>Error purging person $id: the user still has submitted papers</H3>";
		continue;
	}
	if ($person->is_participant()) {
		echo "<H3>Error purgung person $id: the user is still registered participant</H3>";
		continue;
	}
	if ($person->count_assigned_reviews()>0) {
		echo "<H3>Error purgung person $id: the user still has assigned reviews</H3>";
		continue;
	}
	$q = "select * from participants2payments where personID='$id'";
	$r = $db->query($q);
	if ($r && $db->num_rows($r)) {
		echo "<H3>Error purgung person $id: the user still has payments in the database</H3>";
		continue;
	}
	// 
	$db->query("delete from papers where personID='$id'");
	$db->query("delete from contributiontypes2chairs where personID='$id'");
	$db->query("delete from contributiontypes2pcs where personID='$id'");
	$db->query("delete from pc2topics where personID='$id'");
	$db->query("delete from biddings where personID='$id'");
	$db->query("delete from pcdiscussionmessages where personID='$id'");
	$db->query("delete from reviews where personID='$id'");
	//
	$db->query("delete from participants where personID='$id'");
	$db->query("delete from participants2events where personID='$id'");
	$db->query("delete from participants2payments where personID='$id'");
	$q = "select ID from identities where personID='$id'";
	$r = $db->query($q);
	if ($r && $db->num_rows($r)==1) {
		$row = $db->fetch($r);
		$db->query("delete from identities2interests where identityID='".$row['ID']."'");
	}
	$db->query("delete from identities where personID='$id'");
	//
	$db->query("delete from persons where ID='$id'");
	
	echo "<H3>Purged user $id: ".ct_form_encode($person->get_fullname())."<br>\n";
	
	if (($i % 5) == 4) {
		ob_flush();	flush();
	}
	
}

echo "<H1>Done! All Deleted Users Were Purged!</H1>";

?>