<?php
//
// PAGE:	browseReviews
// DESC:    Show all reviews of a PC-Member (to himself)
//

// if user has no admin rights, check if he is a pc member and "reviewing" is active
if (! ($user->is_admin() || $user->is_pc() || $user->is_reviewer())) {
	$session->put_errorbox(ct('S_ERROR_PHASE'), ct('S_ERROR_PHASE_INACTIVE'));
	ct_redirect(ct_pageurl('error'));
}

echo "<h1>".ct('S_BROWSEREVIEWS_TITLE')."</h1>\n";
echo "<p class=\"fontnormal font10\">".ct('S_BROWSEREVIEWS_INFO')."</p>\n";

$reviews = $user->get_reviews();
while (list(,$review) = each($reviews)) {
	echo "<br>";
	$paper=$review->get_paper();

	if ($review->get('creationdate') > 0) {
		// get correct class name...
		$classname = $paper->get_paperClass();
		ct_load_class($classname);
		eval('$paperclass = new '.$classname.'();');
		$paperclass = ct_type_cast($paper,$classname);
					
		#$paperclass->show_detailed('100%');
		echo "<table  width=\"99%\" align=\"center\" cellspacing=1 border=0 cellpadding=2 class=\"blackbg\">";
		echo "<tr><td class=\"whitebg\" align=left valign=top>";
		$paperclass->show_formatted(true,false);
		echo "</td></tr></table>\n";	
				
		$review->show_infobox('99%');

		echo "&nbsp;<br>";
	}
}

?>
