<?php
//
// PAGE:	 cancelParticipant
// DESC:     Cancel participation
//
// ct_requirefrontdesk();

ct_pagepath(array('index'));

ct_load_class('CTParticipation'); 
ct_load_class('CTForm');

// if (ctconf_get('participation/useredit')) ...

$participation = new CTParticipation;
$participation->load_by_id($user->get_ID());

if (!($user->is_participant() && $participation->pdata['payamount']==0 && ctconf_get('participation/userdelete')=='true')){
	ct_redirect(ct_pageurl('index'));
}

// check if phase "participation" is active
if (!ct_check_phases("participation")) {
	$session->put_errorbox(ct('S_ERROR_PHASE'), ct('S_ERROR_PHASE_INACTIVE'));
	ct_redirect(ct_pageurl('error'));
}

if (isset($http['cmd_cancel'])){
	// cancel deletion...
	ct_redirect($session->get_besturl());
} elseif (isset($http['cmd_delete_participant'])) {
	// do delete...
	$participation->load_by_id($user->get_ID());
	$deleted=$participation->delete();
	if ($deleted=='true'){
		$user->reload(); // reload user data, maybe it changed...
		$session->put_infobox(ct('S_INFO_DELETEPARTICIPANT'), ct('S_INFO_DELETEPARTICIPANT_SUCCESS'));
		ct_redirect($session->get_besturl());
	}
	else {
		$session->put_errorbox(ct('S_ERROR_DELETEPARTICIPANT'), ct('S_ERROR_DELETEPARTICIPANT_FAILED'));
		ct_redirect(ct_pageurl('error'));
	}
} else {
	$participation->load_by_id($user->get_ID());
	echo "<h1>".ct('S_DELETEPARTICIPANT_TITLE')."</h1>\n";
	echo "<p class=\"fontnormal font10\">".ct('S_DELETEPARTICIPANT_USERQUERY')."</p>\n";
	$form = new CTForm(ct_pageurl('cancelParticipant'), 'post', array());
	$form->width='600';
	$form->align='center';
	$form->add_submit('cmd_delete_participant', ct('S_DELETEPARTICIPANT_CONFIRM'));
	$form->add_submit('cmd_cancel', ct('S_BUTTON_BACK'));
	$form->show();
}

?>