<?php
#
# PAGE:         participatePayPalPaymentReceived
# Page is displayed, after the user has submitted the money via PayPal...
#

ct_pagepath(array('index'));

#ct_print_r($http); die();

// Save Payment hint to external remarks and payment date (so the paypal
// button will not be dispayed any more!

$user_id=0;
$amount=0;
$sign="";
$status="";
$date="";
$transaction="";
$payer_id="";

if (in_http('custom')) { // this is IPN -> custom is returned as "custom" with the user ID
	//[page] => paypal_paymentReceived
	//[txn_type] => web_accept
	//[payment_date] => 06:08:59 Dec 22, 2007 PST
	//[last_name] => Weinreich
	//[residence_country] => US
	//[item_name] => Demo 2.0 - ID:6
	//[payment_gross] => 
	//[mc_currency] => EUR
	//[business] => harald@weinreichs.de
	//[payment_type] => instant
	//[verify_sign] => AQU0e5vuZCvSg-XJploSa.sGUDlpA8TErQx-dlH4YdsTJPWb6UpSrC2W
	//[payer_status] => unverified
	//( [test_ipn] => 1 )
	//[tax] => 0.00
	//[payer_email] => harald@drweinreich.de
	//[txn_id] => 0
	//[quantity] => 1
	//[receiver_email] => harald@weinreichs.de
	//[first_name] => Hal
	//[payer_id] => MU8VBNPXXXXXXX
	//[receiver_id] => 7GQGC3M2XXXXXX
	//[item_number] => 
	//[payment_status] => Pending
	// ( [pending_reason] => unilateral )
	//[shipping] => 0.00
	//[mc_gross] => 311.00
	//[custom] => 6
	//[charset] => windows-1252
	//[notify_version] => 2.1
	$user_id=$http['custom'];
	$amount=$http['mc_gross'];
	$sign=$http['verify_sign'];
	$status=$http['payment_status'].(in_http('pending_reason')?"/".$http['pending_reason']:'');
	$date=$http['payment_date'];
	$transaction=$http['txn_type'];
	$payer_id=$http['payer_email']." (".$http['payer_id'].") ";
}

if (in_http('cm')) { // This is PDT -> custom is returned as "cm" with the user ID
	// tx=3UG97978RXXXXXXXXX
	// st=Completed
	// amt=1.00
	// cc=EUR
	// cm=100
	// sig=nPQI04ZOHuzJOIZY74THV9u4V3AZP3BRMvGjAGcqUZW5CR2u2QBYs0RBXubHhwLSrU4fltme5YYYqWTfuKPgSXXVvOMbi72xlzcYdTCHxfhKISBZxjIXhoOjvAfOznIhpO%XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	$user_id=$http['cm'];
	$amount=$http['amt'];
	$sign=$http['sig'];
	$status=$http['st'];
	$date=ct_timestamp_2_datetime(ct_time());
	$transaction=$http['tx'];
	#$payer_id=$http['tx'];
}
	
// check if user ID exists
if ($user_id!=$user->get_id()) {
	$session->put_errorbox(ct('S_ERROR_ACCESSDENIED'), ct('S_ERROR_ACCESS_ADMINONLY'));
	ct_redirect(ct_pageurl('index'));
}	
	
ct_load_class('CTParticipation');
$participant = new CTParticipation();
$participant->load_by_id($user_id);

if ($amount>0 && $sign!=='' && 
	 $participant->get('personID')>0 && 
	($participant->get('total')-$participant->get('payamount'))>0) {
	
	$participant->set('ccresult',$transaction);
	$participant->set('ccpnref',$sign);
	$participant->set('ccauthcode',$payer_id);
	$participant->set('ccrespmsg',$status.': '.$date);
	$participant->persist();

	if (stristr($participant->get('externalremark'),ct('S_PAYPAL_PAYMENT_RECEIVED_REMARK'))===FALSE)
		$participant->set('externalremark',$participant->get('externalremark')."\n".ct('S_PAYPAL_PAYMENT_RECEIVED_REMARK'));
	
	// Now also save payment
	ct_load_class('CTPayment');
	$payment = new CTPayment();
	$payment->set('personID',$participant->get('personID'));
	$payment->set('paydate',ct_timestamp_2_datetime(ct_time()));
	$payment->set('payamount',($amount));
	$payment->set('note',"PayPal: ". $status . " (". $sign .") ");
	$payment->persist();	// Save payment and calculate new total for participant.
} else {
	$session->put_warningbox(ct('S_PAYPAL_PAYMENT_CANCELLED'),ct('S_PAYMENT_CANCELLED_DETAILS',array('<a href="mailto:'.ctconf_get('conferenceContactEmail').'">'.ctconf_get('conferenceContactEmail').'</a>')));
	ct_redirect(ct_pageurl('index'));
}


// Show required Info to user...
echo "<br>";
echo "<table align=\"center\" width=\"80%\"><tr><td align=\"center\">";
echo "<span class=\"fontbold font14\">".ct('S_PAYPAL_PAYMENT_RECEIVED')."</span>";
echo "</td></tr><tr><td align=\"center\">";
echo "<span class=\"fontnormal font10\">".ct('S_PAYPAL_PAYMENT_RECEIVED_COMPLETED')."</span>";
// Payments are directly stored in ConfTool.
#echo "</td></tr><tr><td align=\"center\">";
#echo "<span class=\"fontnegative font10\">".ct('S_PAYPAL_PAYMENT_RECEIVED_DELAY')."</span>";

echo "</td></tr><tr><td align=\"center\">";
echo "<a href=\"".ct_pageurl('index')."\" class=\"fontbold font12\">".ct('S_PARTICIPATE_CONTINUE')."</a>";

echo "</td></tr></table>\n\n";

?>
